Projects
Update a direct project member grant
PATCH
sessionCookiecookie
better-auth.session_token<token>The Better Auth email/password session cookie used by the web application.
projectId*stringLength
1 <= lengthmemberId*stringLength
1 <= length- body
role*stringValue in
"editor""viewer"Response for status 200
application/json- response
membership*curl -X PATCH 'https://postbot.example/api/projects/string/members/string' \
-H 'Content-Type: application/json' \
-d '{
"role": "editor"
}'Example Response
{
"membership": {
"id": "string",
"projectId": "string",
"userId": "string",
"email": "string",
"name": "string",
"image": "string",
"role": "owner",
"state": "active",
"createdAt": 0,
"updatedAt": 0
}
}